Subject: [netext] WG LC: draft-ietf-netext-pmip-qos-wifi-03

From: Basavaraj Patil <[email-masked]>
Date: Tue, 4 Nov 2014 09:44:11 -0600

Hello,

The working group document: Mapping PMIPv6 QoS Procedures with WLAN QoS
procedures <draft-ietf-netext-pmip-qos-wifi-03> has been revised following
a few reviews. It is now ready for working group last call.

Please consider this email as the start of the WG last call for this I-D.
Your review comments can be sent to the WG mailing list, the authors or to
the chairs.

The WG last call will expire on Nov 24th, 2014. Please make an effort to
review
this I-D and provide feedback.

-Chairs

-- 
Basavaraj Patil

---

From: <[email-masked]>
Date: Mon, 10 Nov 2014 17:41:12 +0100

Dear all,
I have re-read the draft once more and find it useful and well written and – beside a few nits  - ready for submission.
Thanks to the authors and all contributors for their effort!
Best regards
Dirk

Picked nits, comments and suggestions for clarification as follows:

1.
      PMIPv6 [RFC 7222] defined procedures for QoS setup maybe triggered -> PMIPv6 [RFC 5213] defined procedures for QoS setup [RFC 7222] maybe triggered

1.3.
To include some more used acronyms such as

AC                                          Access Category
ADDTS                                  ADD Traffic Stream
DELTS                                    DELete Traffic Stream
PCF                                        Policy Control Function
??

2.
arbitration inter frame service (AIFS). (Higher
 -> arbitration inter frame space (AIFS) (Higher

3.1.1.
The AP/MAG obtains the corresponding level of QoS to be granted to the flow by PMIPv6
   PBU/PBA sequence with QoS options with the LMA
->
The AP/MAG obtains the corresponding level of QoS to be granted to the flow by PMIPv6
   PBU/PBA sequence with QoS options _exchanged_ with the LMA

3.1.2.
TCLAS and only MN initiated QoS Services requested are -> TCLAS and only MN initiated QoS Service requests are

3.2.1.
consultation with the AP provision policy that can grant a subsequent -> consultation with the AP provision _a_ policy that can grant a subsequent

3.2.3.
[0] The MN establishes and reserves QoS resources as in use cases A, B or C [seems to be a relict from pre-WG draft ... no use cases A-C more]
-> [0] The MN establishes and reserves QoS resources.

4.1.
PMIPv6 Qos [RFC 7222] -> PMIPv6 QoS [RFC 7222]

derived as shown in the table below. -> derived as shown in Table 2.

or session level signaling (e.g. 3GPP WCS [TS23.402])  <= There is no WCS defined in that TS (also not in prior versions) but WCLP (WLAN Control Protocol) – is that meant??

4.2.
Table 2 contains a mapping between Access Class (WMM AC) and 802.1D in IEEE 802.11 frames
->
Table 3 contains a mapping between Access Class (WMM AC) and 802.1D User Priority (UP) tag in IEEE 802.11 frames

PMIPV6 -> PMIPv6 (several instances till the end)

8.2.
[RFC 5844] on IPv4 seems not (any more) to be referenced in the draft

APPENDIX A:
[2] LMA sends PMIP UPN (Update Notification) <- the explanation should/might be given already in 3.2.1.

The AP/WLC police flows based on the new QoS. -> The AP/WLC polices flows based on the new QoS.

From: netext [mailto:[email-masked]] On Behalf Of Basavaraj Patil
Sent: Dienstag, 4. November 2014 16:44
To: [email-masked]; [email-masked]
Subject: [netext] WG LC: draft-ietf-netext-pmip-qos-wifi-03

Hello,

The WG last call will expire on Nov 24th, 2014. Please make an effort to review
this I-D and provide feedback.

-Chairs

--
Basavaraj Patil

---

From: Xueli <[email-masked]>
Date: Mon, 24 Nov 2014 05:49:16 +0000

Hello all

This working group document is well organized and in good shape.
I believe it is ready for submission.
Best regards
Xueli

From: netext [mailto:[email-masked]] On Behalf Of Basavaraj Patil
Sent: Tuesday, November 04, 2014 11:44 PM
To: [email-masked]; [email-masked]
Subject: [netext] WG LC: draft-ietf-netext-pmip-qos-wifi-03

Hello,

-Chairs

--
Basavaraj Patil

---

From: John Kaippallimalil <[email-masked]>
Date: Tue, 25 Nov 2014 22:03:57 +0000

Hi Dirk,
Thank you for the review. I have updated the draft with all the changes suggested.

However, I forgot to update the dates for the new draft version -04 and it has led to a manual post.

BR,
John

From: [email-masked] [mailto:[email-masked]]
Sent: Monday, November 10, 2014 10:41 AM
To: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [netext] WG LC: draft-ietf-netext-pmip-qos-wifi-03

Dear all,

1.

1.3.

AC                                          Access Category
ADDTS                                  ADD Traffic Stream

2.

3.1.1.

3.1.2.

3.2.1.

3.2.3.

4.1.

4.2.

8.2.

APPENDIX A:

From: netext [mailto:[email-masked]] On Behalf Of Basavaraj Patil
Sent: Dienstag, 4. November 2014 16:44
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [netext] WG LC: draft-ietf-netext-pmip-qos-wifi-03

Hello,

-Chairs

--
Basavaraj Patil